Bug 4114 - mkfs.reiserfs creates corrupted filesystems
: mkfs.reiserfs creates corrupted filesystems
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/progsreiserfs)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-05-10 19:05 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-10 19:05:31
Sometimes mkfs.reiserfs from progsreiserfs-0.3.0.3-alt0.4 can create a
filesystem on which reiserfsck detects corruption (vpf-10640: The on-disk and
the correct bitmaps differs). Apparently working with such filesystem can lead
to hangs with kernel messages like:

vs-3050: wait_buffer_until_released: nobody releases buffer (dev 03:47, size
4096, blocknr 4325376, cou
nt 3, list 0, state 0x10019, page c18b5740, (UPTODATE, CLEAN, UNLOCKED)). Still
waiting (-270000000)  JDIRTY !JWAIT

Steps to Reproduce:
$ dd if=/dev/zero of=image.bin bs=1k count=1 seek=50588652
1+0 records in
1+0 records out
$ /sbin/mkfs.reiserfs image.bin
Warning: Device image.bin isn't a block device.
All data on image.bin will be lost. Do you realy want to create reiserfs 3.6 (y/n) y
Creating reiserfs 3.6 with standard journal on image.bin
initializing skiped area: done
initializing journal: done
syncing...done
$ /sbin/reiserfsck image.bin

<-------------reiserfsck, 2002------------->
reiserfsprogs 3.6.4

  *************************************************************
  ** If you are using the latest reiserfsprogs and  it fails **
  ** please  email bug reports to reiserfs-list@namesys.com, **
  ** providing  as  much  information  as  possible --  your **
  ** hardware,  kernel,  patches,  settings,  all  reiserfsk **
  ** messages  (including version),  the reiserfsck logfile, **
  ** check  the  syslog file  for  any  related information. **
  ** If you would like advice on using this program, support **
  ** is available  for $25 at  www.namesys.com/support.html. **
  *************************************************************

Will read-only check consistency of the filesystem on image.bin
Will put log info to 'stdout'

Do you want to run this program?[N/Yes] (note need to type Yes if you do):Yes
get_dma_info failed Bad file descriptor
###########
reiserfsck --check started at Mon May 10 19:03:26 2004
###########
Replaying journal..
No transactions found
Checking internal tree..finished
Comparing bitmaps..vpf-10640: The on-disk and the correct bitmaps differs.
Checking Semantic tree:
finished
1 found corruptions can be fixed with --fix-fixable
###########
reiserfsck finished at Mon May 10 19:03:28 2004
###########
------- Comment #1 From 2004-05-10 21:41:21 -------
then to orphaned.  I can't maintain the package and got it as a 'legacy' from
the author who maintained alt rpm for some time.
------- Comment #2 From 2004-05-12 19:14:08 -------
Пакет заменен утилитами reiserfsprogs.
------- Comment #3 From 2004-05-12 19:34:58 -------
Несколько не так -- их автор (добавлен в Cc:) изначально писал как улучшенную
замену оригинальным reiserfsprogs, но в данный момент работает в Namesys,
насколько мне известно.
------- Comment #4 From 2004-06-03 14:17:43 -------
RESOLVED поставили слишком рано - пакет всё ещё лежит в Сизифе, и ошибка из
него
никуда не делась.
------- Comment #5 From 2004-06-03 17:33:17 -------
пакета нет в Сизифе 
 
------- Comment #6 From 2005-02-10 12:19:55 -------
Блин!

-rw-r--r--      370031 2003/12/30 12:28:47 progsreiserfs-0.3.0.3-alt0.4.src.rpm

-rw-r--r--       44204 2003/12/30 12:28:47 libprogsreiserfs-0.3.0.3-alt0.4.i586.rpm
-rw-r--r--       15759 2003/12/30 12:28:47
libprogsreiserfs-devel-0.3.0.3-alt0.4.i586.rpm
-rw-r--r--       26887 2003/12/30 12:28:47 progsreiserfs-0.3.0.3-alt0.4.i586.rpm

Это мне что, мерещится?
------- Comment #7 From 2005-02-10 12:24:31 -------
Стас, уберите эти пакеты из Sisyphus !!!!!!
------- Comment #8 From 2005-02-10 12:29:51 -------
Пусть текущий мантейнер это скажет.
mike?
------- Comment #9 From 2005-02-10 12:32:39 -------
Убирай, поскольку адекватным майнтейнером им я не являюсь, а umka@ (который
попросил присмотреть) давно забросил этот проект -- возможно, что-то вошло в
утилиты Namesys, где он работал некоторое время.
------- Comment #10 From 2005-02-10 12:37:59 -------
Убрал.
А теперь быстро быстро закрывайте все баги на этот пакет ибо завтра уже не
сможете ;)
------- Comment #11 From 2005-02-10 12:42:05 -------
Ну ой. :)
------- Comment #12 From 2005-02-10 15:10:13 -------
Поверить в этот раз, что ли ;)